import 'package:json_annotation/json_annotation.dart';
import 'game_card_item_model.dart';

part 'game_bundle_item_model.g.dart';

@JsonSerializable()
class GameBundleItemModel {
  final String? id;
  final String? name;
  final String? icon;
  final String? background;
  final String? description;
  final List<GameCardItemModel>? options;

  GameBundleItemModel({
    this.id,
    this.name,
    this.icon,
    this.background,
    this.description,
    this.options,
  });

  factory GameBundleItemModel.fromJson(Map<String, dynamic> json) => _$GameBundleItemModelFromJson(json);
  Map<String, dynamic> toJson() => _$GameBundleItemModelToJson(this);
}